Skip to main content
`Ctrl`+`K`

# PetscDSGetFaceTabulation

Return the basis tabulation at quadrature points on the faces

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetFaceTabulation(PetscDS prob, PetscTabulation *Tf[])

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- Tf - The basis function and derivative tabulation on each local face at quadrature points for each field

## Note

The tabulation is only valid so long as the `PetscDS` has not be destroyed. There is no `PetscDSRestoreFaceTabulation()` in C.

## See Also

`PetscTabulation`, `PetscDS`, `PetscDSGetTabulation()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages